--- title: "Update the Radius Configuration for the Domain" slug: "update-the-radius-configuration-for-the-domain-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/update-the-radius-configuration-for-the-domain-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the Radius Configuration for the Domain This URL updates the radius configuration for the domain. ### Resource URL PUT /domain//remoteaccess/radius ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domainId` | Domain id | Number | Yes | Payload Request Parameters: | Field Name | Description | Data Type | | --- | --- | --- | | `inheritSettings` | Inherit settings from parent | Boolean | | `enableRadiusCLIAuthentication` | Enable radius configuration flag | Boolean | | `primaryRadiusServer` | Primary radius server | Object | | `secondayRadiusServer` | Seconday radius server | Object | | `syslogFacility` | Syslog facility | String | | `syslogPriorityMapping` | Attack severity to syslog priority mapping | Object | | `message` | Message format | String | | `filter` | What attacks to log | Object | Details of primaryRadiusServer and secondayRadiusServer: | Field Name | Description | Data Type | | --- | --- | --- | | `serverIpAddr` | IP address | String | | `sharedSecret` | Shared secret key | String | | `authenticationPort` | Authentication port | Number | | `connectionTimeoutInSeconds` | Connection time out in seconds | Number | | `enableAccounting` | Enable accounting flag | Boolean | | `accountingPort` | Accounting port | Number | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful | Number | ### Example **Request** PUT [https:///sdkapi/domain/0/remoteacess/radius](https://<NSM_IP>/sdkapi/domain/0/remoteacess/radius) **Payload** ``` { "inheritSettings": false,       "enableRadiusCLIAuthentication": true,       "primaryRadiusServer":       {           "serverIpAddr": "1.1.1.3",           "sharedSecret": "adsadasl3232",           "authenticationPort": 1812,           "connectionTimeoutInSeconds": 6,           "enableAccounting": false,           "accountingPort": 1813       },       "secondayRadiusServer":       {           "serverIpAddr": "1.1.1.5",           "sharedSecret": "dssdfksdnfsdf",           "authenticationPort": 1812,           "connectionTimeoutInSeconds": 6,           "enableAccounting": false,           "accountingPort": 1813       } } ``` **Response** ``` { "status": 1 } ``` ### Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |